### Virtual Method

# RB Source search

#### Declaration [src]

    void
    search (
      RBSource* source,
      RBSourceSearch* search,
      const char* cur_text,
      const char* new_text
    )

#### Description [src]

Updates the source with new search text. The source should recreate the database query that feeds into the browser (if any).

#### Parameters

`search`

  Type: `RBSourceSearch`

  The active `RBSourceSearch` instance.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cur_text`

  Type: `const char*`

  The current search text.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`new_text`

  Type: `const char*`

  The new search text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.